petsc-3.12.4 2020-02-04
Report Typos and Errors

# KSPPIPEGCRSetMmax

set the maximum number of previous directions PIPEGCR will store for orthogonalization

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPPIPEGCRSetMmax(KSP ksp,PetscInt mmax)

Note: mmax + 1 directions are stored (mmax previous ones along with a current one) and whether all are used in each iteration also depends on the truncation strategy (see KSPPIPEGCRSetTruncationType)

Logically Collective on ksp

### Input Parameters

| ksp | - the Krylov space context
| mmax | - the maximum number of previous directions to orthogonalize againt

### Options Database

-ksp_pipegcr_mmax <N> -

### See Also

KSPPIPEGCR, KSPPIPEGCRSetTruncationType(), KSPPIPEGCRSetNprealloc()

### Level

intermediate

### Location

src/ksp/ksp/impls/gcr/pipegcr/pipegcr.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages